#USES classes\_debug.vbs
#USES classes\_global.vbs
#USES classes\_CFile.vbs
#USES classes\_CString.vbs
#USES classes\_CToolbar.vbs
#USES classes\_CTileImage.vbs
#USES classes\_CFileVar.vbs
#USES classes\_CTLBData.vbs

	
set script = new_CFile(wscript.scriptFullName)
set toolbar = new_CToolbar(FLD_TOOLBAR)
set tlbdata = load_CTLBData(toolbar.tlbdata)
set tileImage = new CTileImage

iconLoc = tlbdata.getIconLocation("Tile.lnk")
if not iconLoc = "" then
	if iconLoc = gfs.getFileName(iconLoc) then
		iconLoc = gfs.buildPath(toolbar.icons, iconLoc)
	end if	
	tileImage.iconPath = iconLoc
else
	tileImage.iconPath = gfs.buildPath(toolbar.icons, "icon.png")
end if

tileImage.path = gfs.buildPath(toolbar.btnImages, "btnImage.png")

set tileSizeVar = get_CFileVar(toolbar.folder, "Tile Size")
set sc = gws.createShortcut(gfs.buildPath(toolbar.folder, "Tile Size.lnk"))
set image = new_CFile(gfs.buildPath(toolbar.btnImages, "tilesize.png"))

if tileSizeVar.value = "Smaller" then
	sc.description = "Larger"
	set newImage = new_CFile(gfs.buildPath(toolbar.btnImages, "larger.png"))	
else
	sc.description = "Smaller"
	set newImage = new_CFile(gfs.buildPath(toolbar.btnImages, "smaller.png"))
end if
gfs.copyFile newImage.fullpath, image.fullPath, true
sc.save

'Tile
set fvar = get_CFileVar(FLD_ICON, "Size")
tileImage.setIconSize (fvar.value)

set fvar = get_CFileVar(toolbar.folder, "Tile Color")
tileImage.backgroundImagePath = gfs.buildPath(gfs.buildPath(toolbar.icons, "backgrounds"), fvar.value & ".png")

set fvar = get_CFileVar(FLD_TOOLBAR, "Effect")
tileImage.effect = fvar.value
'End Tile

'Icon
set fvar = get_CFileVar(FLD_ICON, "Position")
tileImage.iconPosition = fvar.value

set fvar = get_CFileVar(FLD_ICON, "Opacity")
tileImage.iconOpacity = fvar.value
'End Icon

'Caption
set captionTLBData = load_CTLBData(gfs.buildPath(FLD_CAPTION, "tlbdata.xml"))
tileImage.captionText = captionTLBData.getItemAttribute("Text.vbs", "leftText")
tileImage.captionFontColor = formatColorName(captionTLBData.getItemAttribute("Font Color.vbs", "leftText"))
set captionTLBData = nothing

set fvar = get_CFileVar(FLD_CAPTION, "Position")
tileImage.captionPosition = fvar.value

set fvar = get_CFileVar(FLD_CAPTION, "Show")
tileImage.captionShow = fvar.value

set fvar = get_CFileVar(FLD_CAPTION, "Font Size")
tileImage.captionFontSize = fvar.value
'End Caption

'Overlay
set overlayTLBData = load_CTLBData(gfs.buildPath(FLD_OVERLAY, "tlbdata.xml"))
tileImage.overlayText = overlayTLBData.getItemAttribute("Text.vbs", "leftText")

tileImage.overlayFontColor = formatColorName(overlayTLBData.getItemAttribute("Font Color.vbs", "leftText"))
tileImage.overlayBackgroundColor = formatColorName(overlayTLBData.getItemAttribute("Background Color.vbs", "leftText"))

set overlayTLBData = nothing

set fvar = get_CFileVar(FLD_OVERLAY, "Position")
tileImage.overlayPosition = fvar.value

set fvar = get_CFileVar(FLD_OVERLAY, "Show")
tileImage.overlayShow = fvar.value

set fvar = get_CFileVar(FLD_OVERLAY, "Font Size")
tileImage.overlayFontSize = fvar.value
'End Overlay

tileImage.tileSize = tileSizeVar.value

ret = tileImage.create

gws.sendkeys "^%q"
gws.sendkeys HK_REFRESH