#USES classes\_debug.vbs
#USES classes\_global.vbs
#USES classes\_CFile.vbs
#USES classes\_CToolbar.vbs
#USES classes\_CTLBFolder.vbs
#USES classes\_CINIFile.vbs


set script = new_CFile(wscript.scriptFullName)
set toolbar = new_CToolbar(FLD_TOOLBAR)

set image = new_CFile(gfs.buildPath(toolbar.btnImages, "btnImage.png"))

set tileShortcut = gws.createShortcut(gfs.buildPath(toolbar.folder, "Tile.lnk"))
set src = new_CFile(tileShortcut.description)

if src.exists then

	set srcFolder = new_CTLBFolder(src.folder)
	if gfs.fileExists(srcFolder.tlbdata) then
		setImage srcFolder.tlbdata, src.filename, image.fullPath
	else	
		set virtualFolders = srcFolder.findVirtualFolders
		for each vf in virtualFolders.keys
			set srcFolder = new_CTLBFolder(vf)
			setImage srcFolder.tlbdata, src.filename, image.fullPath
		next
	end if
	
end if


sub setImage(ptlbdata, pItemName, pImagePath)

	if gfs.fileExists(ptlbdata) then

		set tlbFolder = new_CTLBFolder(gfs.getParentFolderName(ptlbdata))
		set image = new_CFile(pImagePath)
		set srcToolbarFolder = tlbFolder.findToolbar

		set srcToolbar = new_CToolbar(srcToolbarFolder.path)

		set dstImage = new_CFile(gfs.buildPath(srcToolbar.btnImages, src.name & ".png"))	

		if not gfs.folderExists(dstImage.folder) then
			if not gfs.folderExists(dstImage.parentFolder) then
				gfs.createFolder(dstImage.parentFolder)
			end if
			gfs.createFolder(dstImage.folder)
		end if

		gfs.copyFile image.fullPath, dstImage.fullPath, true
		set tlbdata = load_CTLBData(tlbFolder.tlbdata)

		tlbdata.setItemImagePath pItemName, dstImage.fileName 
		tlbdata.save
		
	end if		
	
end sub
