'#EXCLUDE Sample Usage
	set finder = new CFinder
	set foundFiles = finder.findFilesByFilename("C:\Program Files\TrueLaunchBar\skins\M8 Default", "namespace.fld", true)

	for each ff in foundFiles.keys
		msgbox ff
	next
'#EXCLUDE END Sample Usage

#USES classes\_global.vbs

class CFinder

    private found    

	private sub Class_Initialize()  
        set found = nothing
    end sub  
   
    public function findFilesByFilename(pStartFolder, pFileName, pRecurse) 

		if found is nothing then
			set found = createObject("Scripting.Dictionary")
		end if
		
        set objFolder = gfs.getFolder(pStartFolder)
        set colFiles = objFolder.Files
        for each objFile in colFiles
			if objFile.name = pFilename then
				found.add objFile.path, ""
			end if	
        next

		if pRecurse then
			set colFolders = objFolder.subFolders
			for each fld in colFolders
				set dummy = findFilesByFilename(fld.path, pFileName, true)
			next
		end if

		set findFilesByFilename = found
		
    end function

    public function findShortcuts(pStartFolder, pRecurse) 

		if found is nothing then
			set found = createObject("Scripting.Dictionary")
		end if
		
        set objFolder = gfs.getFolder(pStartFolder)
        set colFiles = objFolder.Files
        for each objFile in colFiles
			if gfs.getExtensionName(objFile.name) = "lnk" then
				found.add objFile.path, ""
			end if	
        next

		if pRecurse then
			set colFolders = objFolder.subFolders
			for each fld in colFolders
				set dummy = findShortcuts(fld.path, true)
			next
		end if

		set findShortcuts = found
		
    end function


	
end class    
    
