#USES classes\_debug.vbs
#USES classes\_global.vbs
#USES classes\_CToolbar.vbs
#USES classes\_CFile.vbs
#USES classes\_CTLBData.vbs
#USES classes\_CTLBFolder.vbs

set script = new_CFile(wscript.scriptFullName)
set toolbar = new_CToolbar(FLD_TOOLBAR)

set backgrounds = new_CTLBFolder(gfs.buildPath(toolbar.folder, "backgrounds"))
set bgtlbdata = load_CTLBData(backgrounds.tlbdata)

set fld = gfs.getFolder(gfs.buildPath(toolbar.icons, "backgrounds"))
for each f in fld.files
	set img = new_CFile(f.path)
	if img.extension = "png" then
		itemname = img.name & ".lnk"
		set sc = gws.createShortcut(gfs.buildPath(backgrounds.path, itemname))
		sc.targetPath = """" & gfs.buildPath(FLD_SCRIPTS, "setFileVar.vbs") & """"
		sc.arguments = """" & "Tile Color" & """ """ & img.name & """ refresh " 
		sc.workingDirectory = FLD_SCRIPTS
		sc.save
		set itm = bgtlbdata.findItemByName(itemname)
		if itm is nothing then 
			bgtlbdata.createItem(itemname)
		end if
		bgtlbdata.setIconLocation itemname, "backgrounds\" & img.filename
		bgtlbdata.save
	end if
next	

