#USES classes\_debug.vbs
#USES classes\_global.vbs
'#USES classes\_xfso.vbs
#USES classes\_CFile.vbs
#USES classes\_CToolbar.vbs
#USES classes\_CTLBData.vbs
#USES classes\_CFileVar.vbs

set script = new_CFile(wscript.scriptFullName)
set toolbar = new_CToolbar(FLD_TOOLBAR)
iconFolder = gfs.buildPath(toolbar.folder, "Icon")
captionFolder = gfs.buildPath(toolbar.folder, "Caption")
overlayFolder = gfs.buildPath(toolbar.folder, "Overlay")

if wscript.arguments.count <> 1 then 
    wscript.quit
end if 

set tlbdata = load_CTLBData(toolbar.tlbdata)
tlbdata.removeChild "Tile.lnk", "IconLocation"
tlbdata.save

set arg = new_CFile(wscript.arguments(0))

if NOT (arg.extension = "url" OR arg.extension = "lnk") then    
'	set shortcut = gws.createShortcut(gfs.buildPath(arg.folder, arg.name & ".lnk"))
else
	set shortcut = gws.createShortcut(arg.fullpath)
end if    
target = shortcut.targetPath

set tileShortcut = gws.createShortcut(gfs.buildPath(toolbar.folder, "Tile.lnk"))
tileShortcut.description = arg.fullPath
'msgbox shortcut.description
tileShortcut.save

set icon = new_CFile(gfs.buildPath(toolbar.icons, "icon.png"))
set image = new_CFile(gfs.buildPath(toolbar.btnImages, "btnImage.png"))
return = gws.run("""" & FLD_SCRIPTS & "\getIcon.exe"" """ & arg.fullpath & """ """ & icon.fullpath & """", 0, true)    

set captionTLBData = load_CTLBData(gfs.buildPath(captionFolder, "tlbdata.xml"))
captionTLBData.setItemAttribute "Text.vbs", "leftText", arg.name
captionTLBData.save

gws.sendkeys HK_TEREFRESH
