' Global objects
dim gws, gfs 
set gws = CreateObject("Wscript.Shell")
set gfs = CreateObject("Scripting.FileSystemObject")

' TLB
FLD_TLBHOME = gfs.buildPath(gws.ExpandEnvironmentStrings("%PROGRAMFILES%"), "TrueLaunchBar")
FLD_TLBSKINS = gfs.buildPath(FLD_TLBHOME, "skins")

FLD_APPDATA = gws.SpecialFolders("AppData")
FLD_TLBOPTIONS = gfs.buildPath(FLD_APPDATA, "Tordex\True Launch Bar")
F_TLBOPTIONS = gfs.buildPath(FLD_TLBOPTIONS, "options.xml")

' Folders
FLD_HOME = gfs.buildPath(FLD_TLBSKINS, "M8 Tile Editor") 
FLD_TOOLBAR = gfs.buildPath(FLD_HOME, "toolbar")
FLD_SCRIPTS = gfs.buildPath(FLD_HOME, "scripts")
FLD_ICON = gfs.buildPath(FLD_TOOLBAR, "Icon")
FLD_CAPTION = gfs.buildPath(FLD_TOOLBAR, "Caption")
FLD_OVERLAY = gfs.buildPath(FLD_TOOLBAR, "Overlay")

' Hotkeys
HK_REFRESH = "^{F5}"          ' CTRL+F5
HK_TEREFRESH = "^%r"


sub createScriptWrapper(pWrapper, pScriptName)

    set f = gfs.createTextFile(pWrapper, true)

    f.writeline("<job id=""" & pScriptName & """>")
    f.writeline("   <script language=""VBScript"" src=""" & gfs.buildPath(FLD_SCRIPTS, pScriptName) & """/>")
    f.writeline("</job>")

    f.close
    
end sub 'createScriptWrapper
  
  
function isValue(obj)

    dim tmp
    on error resume next
    tmp = " " & obj
    if err <> 0 Then
        isValue = false
    else
        isValue = True
    end If
    on error goto 0

end function


function nvl(pVar, pValueIfNull)

	nvl = pVar
	if isNull(nvl) then nvl = pValueIfNull

end function


function bp(pRoot, pPath)
	bp = gfs.buildPath(pRoot, pPath)
end function